This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 731601 - [RFE] No wait on --cvs builds.
[RFE] No wait on --cvs builds.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.6
Unspecified Unspecified
unspecified Severity unspecified
: 2.7
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 21:12 EDT by Stephen Gordon
Modified: 2011-09-05 23:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-05 23:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2011-08-17 21:12:54 EDT
Description of problem:

When using the --brew option to package documentation the default option is not to wait on the brew task(s) once they have started. If the --wait option is specified then publican will however wait for the tasks to complete.

When using the --cvs option to package documentation the default option is to wait on the brew task(s) once they have started. To skip waiting for the task(s) it is necessary to choose the right moment to Ctrl+C.

Ideally would like to see consistency in the default wait and application of the --wait option across the packaging methods.
Comment 1 Jeff Fearn 2011-08-22 20:11:39 EDT
Added code to stop brew call waiting unless --wait is supplied.

Applied change to branches/publican-2x and trunk.

Committed revision 1865.
Comment 2 Jeff Fearn 2011-09-05 23:56:42 EDT
Publican 2.7 has been release and includes a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.